
%define module_name pcsc-perl
%define version 1.4.13
%define release %mkrel 1

Summary:	Perl interface to the PC/SC smart card library
Summary(de):	Perl Schnittstelle zur PC/SC SmartCard Bibliothek
Name:		perl-%{module_name}
Version:	%{version}
Release:	%{release}
URL:		http://search.cpan.org/dist/%{module_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/W/WH/WHOM/%{module_name}-%{version}.tar.xz
License:	GPL
Group:		Development/Perl
BuildRequires:	perl-devel >= 5.8.0
BuildRequires:  libpcsclite-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This package contains a Perl wrapper to the PC/SC smartcard library
(pcsc-lite) from MUSCLE together with some small examples.

%description -l de
Dieses Paket beinhaltet einen Perl-Wrapper zur PC/SC SmartCard Bibliothek
(pcsc-lite) von MUSCLE zusammen mit ein paar kleinen Beispielen.

%prep
%setup -q -n %{module_name}-%{version}

%build
find -name \*.pm | xargs chmod 644
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


# this needs a smart card reader configured and with a
# card inserted
#%

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENCE README* examples Changelog
%exclude %{_mandir}/*/*
%{perl_vendorlib}/*/Chipcard
%{perl_vendorlib}/*/auto/Chipcard



%changelog
* Mon May 13 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.4.13-1pclos2013
- 1.4.12
- added german summary and description
- renamed spec to pclos-perl-pcsc-perl.spec
- added xz compression

* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

